Name:    argyllcms
Version: 1.1.0
Release: %mkrel 4
Summary: ICC compatible color management system

%define icclib_version 2.12-1mdv
%define icclib_libname  %mklibname icc 2

Group:     Graphics
License:   GPLv3 and BSD-like
URL:       http://www.argyllcms.com/
Source0:   http://www.argyllcms.com/Argyll_V%{version}_src.zip
# (fc) 1.0.1-1mdv change build system to use autotools , build with system libusb and icclib (Alastair M. Robinson, Roland Mas) (Debian)
Patch0:    Argyll_V1.1.0_RC3_autotools.patch
# (fc) 1.1.0-1mdv use local argyllcms libusb, it has some local patches (Roland Mas) (Debian)
Patch1:    argyllcms-1.1.0-uselocallibusb.patch
# (fc) 1.1.0-1mdv fix crash in dispwin (upstream)
Patch2:    argyllcms-1.1.0-crashfix.patch
# (fc) 1.1.0-3mdv rely on latest udev for ACL
Patch3:    argyllcms-1.1.0-udev151.patch

## udev >= 151 supports ACL on COLOR_MEASUREMENT_DEVICE
Requires:  udev >= 151

BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}

BuildRequires: libtiff-devel
BuildRequires: libx11-devel, libxext-devel, libxxf86vm-devel, libxinerama-devel
BuildRequires: libxscrnsaver-devel
BuildRequires: libxrandr-devel
BuildRequires: icclib-devel >= %{icclib_version}
Requires: %{icclib_libname} >= %{icclib_version}

%description
The Argyll color management system supports accurate ICC profile creation for
scanners, CMYK printers, film recorders and calibration and profiling of
displays.

Spectral sample data is supported, allowing a selection of illuminants observer
types, and paper fluorescent whitener additive compensation. Profiles can also
incorporate source specific gamut mappings for perceptual and saturation
intents. Gamut mapping and profile linking uses the CIECAM02 appearance model,
a unique gamut mapping algorithm, and a wide selection of rendering intents. It
also includes code for the fastest portable 8 bit raster color conversion
engine available anywhere, as well as support for fast, fully accurate 16 bit
conversion. Device color gamuts can also be viewed and compared using a VRML
viewer.

%prep
%setup -q -n Argyll_V%{version}
%patch0 -p1 -b .autotools
%patch1 -p1 -b .locallibusb
%patch2 -p1 -b .crashfix
%patch3 -p1 -b .udev151

#needed by patches 0 & 1
autoreconf -i

%build

%configure2_5x

#parallel build is broken
make

%check
make check

%install
rm -rf %{buildroot}

%makeinstall_std

install -d -m 0755 %{buildroot}%{_sysconfdir}/udev/rules.d/
sed -e 's/MODE="666"/ENV{ACL_MANAGE}="1"/g' -e 's/SYSFS/ATTRS/g' libusb/55-Argyll.rules > %{buildroot}%{_sysconfdir}/udev/rules.d/55-Argyll.rules


%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc %{_datadir}/doc/argyll
%{_sysconfdir}/udev/rules.d/*.rules
%{_bindir}/*
%{_datadir}/color/argyll
%{_libdir}/argyll


%changelog
* Sun Dec 05 2010 Oden Eriksson <oeriksson@mandriva.com> 1.1.0-4mdv2011.0
+ Revision: 609990
- rebuild

* Thu Jan 28 2010 Frederic Crozat <fcrozat@mandriva.com> 1.1.0-3mdv2010.1
+ Revision: 497591
- Patch3: remove unneeded part of udev rules, requires udev >= 151 instead

* Wed Jan 27 2010 Frederic Crozat <fcrozat@mandriva.com> 1.1.0-2mdv2010.1
+ Revision: 497375
- Replace patch1 with new version from Roland Mas: argyllcms uses now its own local libusb, since it contains changes for some spectrometers.

* Mon Jan 18 2010 Frederic Crozat <fcrozat@mandriva.com> 1.1.0-1mdv2010.1
+ Revision: 493142
- Release 1.1.0 final
- Patch0 (upstream): fix crash in dispwin

* Thu Jan 14 2010 Frederic Crozat <fcrozat@mandriva.com> 1.1.0-0.rc4.2mdv2010.1
+ Revision: 491514
- Fix udev warning in rules file

* Wed Jan 06 2010 Frederic Crozat <fcrozat@mandriva.com> 1.1.0-0.rc4.1mdv2010.1
+ Revision: 486744
- Release 1.1.0 RC4
- Remove patch4, merged upstream
- Regenerate patch0

* Wed Oct 28 2009 Frederic Crozat <fcrozat@mandriva.com> 1.0.4-2mdv2010.0
+ Revision: 459667
- Adapt udev rules for ACL and install it by default

* Tue Jun 30 2009 Frederic Crozat <fcrozat@mandriva.com> 1.0.4-1mdv2010.0
+ Revision: 390977
- Release 1.0.4
- Regenerate 0 (partially merged)

* Tue Jun 09 2009 Frederic Crozat <fcrozat@mandriva.com> 1.0.3-3mdv2010.0
+ Revision: 384450
- Update patch0 with debian version which includes icclib update (fixes various CVE correctly)
- Build with system icclib
- Build various internal libraries as shared libraries

* Thu Apr 16 2009 Frederic Crozat <fcrozat@mandriva.com> 1.0.3-2mdv2009.1
+ Revision: 367783
- Update patch0 with addition from Roland Mas
- enable make check
- Patch2 (Fedora): CVE-2009-0583,0584
- Patch3 (Fedora): CVE-2009-0792
- Patch4: fix header and str_fmt errors

* Thu Sep 04 2008 Frederic Crozat <fcrozat@mandriva.com> 1.0.3-1mdv2009.0
+ Revision: 280459
- Release 1.0.3
- Regenerate patch1

* Mon Aug 18 2008 Frederic Crozat <fcrozat@mandriva.com> 1.0.2-1mdv2009.0
+ Revision: 273320
- Release 1.0.2
- Remove patches 2, 3 (merged upstream)

* Thu Jul 31 2008 Frederic Crozat <fcrozat@mandriva.com> 1.0.1-1mdv2009.0
+ Revision: 257520
- Release 1.0.1
- Remove patches 0 (fixed differently), 1 (merged upstream)
- Patch0: autotool based build system, from Alastair M. Robinsin
- Patch1: remvoe call to additional internal libusb api, not needed
- Patch2 (Fedora): double free fix
- Patch3: various upstream fixes

* Thu Jul 03 2008 Frederic Crozat <fcrozat@mandriva.com> 1.0.0-1mdv2009.0
+ Revision: 231173
- Fix BuildRequires
- Release 1.0.0
- Update patch0 to link with system libusb
- Patch1: various fixes from upstream (use ARGYLL_INGORE_XRANDR1_1=1 to disable xrandr 1.2 support in argyllcms)

* Wed Jan 16 2008 Frederic Crozat <fcrozat@mandriva.com> 0.70-0.1.Beta8.1mdv2008.1
+ Revision: 153663
- Release 0.70 beta8
- Remove patches 1, 2, 3, merged upstream

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Mon Dec 17 2007 Frederic Crozat <fcrozat@mandriva.com> 0.70-0.1.Beta7.4mdv2008.1
+ Revision: 121764
- Remove source1 and replace with patch3: fix usb unbinding (Graeme Grill)
- Update source2 with latest version from Fedora
- Clean specfile

* Thu Dec 13 2007 Frederic Crozat <fcrozat@mandriva.com> 0.70-0.1.Beta7.3mdv2008.1
+ Revision: 119409
- Sources 2, 3 : add HAL / PK files to set ACL on usb device node (initial work from Nicolas Mailhot)
- Patch1, 2: fix buffer overflows (Daniel Berrange, Fedora), allow build in FORTIFY_SOURCE=1
- move .gam files in datadir, rename icclink to icclink-argyll
- fix doc packaging

* Tue Dec 11 2007 Frederic Crozat <fcrozat@mandriva.com> 0.70-0.1.Beta7.2mdv2008.1
+ Revision: 117271
- Add udev rules for Huey colorimeter to unbind from usbhid module
- Fix package version

* Mon Dec 10 2007 Frederic Crozat <fcrozat@mandriva.com> 0.70-0.1.Beta7mdv2008.1
+ Revision: 117020
- import argyllcms


